import request from "@/utils/request";

// 查询设备时序数据库配置列表
export function listTsconfig(query) {
  return request({
    url: "/iot/tsconfig/list",
    method: "get",
    params: query
  });
}

// 查询设备时序数据库配置详细
export function getTsconfig(id) {
  return request({
    url: "/iot/tsconfig/" + id,
    method: "get"
  });
}

// 新增设备时序数据库配置
export function addTsconfig(data) {
  return request({
    url: "/iot/tsconfig",
    method: "post",
    data: data
  });
}

// 修改设备时序数据库配置
export function updateTsconfig(data) {
  return request({
    url: "/iot/tsconfig",
    method: "put",
    data: data
  });
}

// 删除设备时序数据库配置
export function delTsconfig(id) {
  return request({
    url: "/iot/tsconfig/" + id,
    method: "delete"
  });
}

// 修改设备时序数据库默认
export function updateDefaultTsconfig(data) {
  return request({
    url: "/iot/tsconfig/default",
    method: "put",
    data: data
  });
}

// 测试时序数据库连接是否成功
export function testTsconfig(data) {
  return request({
    url: "/iot/tsconfig/test",
    method: "post",
    data: data
  });
}
